tigase.kernel.beans.selector

## Enum ConfigTypeEnum

- java.lang.Object
- - java.lang.Enum<ConfigTypeEnum>
  - - tigase.kernel.beans.selector.ConfigTypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<ConfigTypeEnum>

      public enum ConfigTypeEnum
      extends Enum<ConfigTypeEnum>

  Created by andrzej on 26.04.2017.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ComponentMode`
    `ConnectionManagersMode`
    `DefaultMode`
    `SessionManagerMode`
    `SetupMode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `id()`
    `static ConfigTypeEnum` | `valueForId(String id)`
    `static ConfigTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DefaultMode

          public static final ConfigTypeEnum DefaultMode

    - #### SessionManagerMode

          public static final ConfigTypeEnum SessionManagerMode

    - #### ConnectionManagersMode

          public static final ConfigTypeEnum ConnectionManagersMode

    - #### ComponentMode

          public static final ConfigTypeEnum ComponentMode

    - #### SetupMode

          public static final ConfigTypeEnum SetupMode

  - ### Method Detail

    - #### values

          public static ConfigTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigTypeEnum c : ConfigTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigTypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueForId

          public static ConfigTypeEnum valueForId(String id)

    - #### id

          public String id()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.